Package org.jbpm.casemgmt.api.model.instance

## Interface CaseInstance

- All Known Implementing Classes:
    `CaseInstanceImpl`

      public interface CaseInstance

  Describes case structure and requirements.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCaseDefinitionId()` | Returns case definition id
    `String` | `getCaseDescription()` | Returns case description
    `CaseFileInstance` | `getCaseFile()` | Returns case file associated with this case.
    `String` | `getCaseId()` | Returns case identifier of this case.
    `Collection<CaseMilestoneInstance>` | `getCaseMilestones()` | Returns available case milestones for this case.
    `Collection<CaseRoleInstance>` | `getCaseRoles()` | Returns case roles for this case.
    `Collection<CaseStageInstance>` | `getCaseStages()` | Returns available case stages in this case.
    `Date` | `getCompletedAt()` | Returns completion date of this case
    `String` | `getCompletionMessage()` | Returns completion message (if any) of this case
    `String` | `getDeploymentId()` | Returns deployment id
    `String` | `getOwner()` | Returns owner of the case - usually one who started the case
    `String` | `getParentCaseId()` | Returns the parent id case if any
    `Integer` | `getSlaCompliance()` | Returns up to date SLA compliance level for case instance
    `Date` | `getSlaDueDate()` | Returns SLA due date if any is set on case instance
    `Date` | `getStartedAt()` | Returns start date of this case
    `Integer` | `getStatus()` | Returns status of the case
    `void` | `setCaseFile​(CaseFileInstance caseFileInstance)` | Sets case file information to this instance

- - ### Method Detail

    - #### getCaseId

          String getCaseId()

      Returns case identifier of this case.

    - #### getCaseDescription

          String getCaseDescription()

      Returns case description

    - #### getOwner

          String getOwner()

      Returns owner of the case - usually one who started the case

    - #### getCaseStages

          Collection<CaseStageInstance> getCaseStages()

      Returns available case stages in this case.

    - #### getCaseMilestones

          Collection<CaseMilestoneInstance> getCaseMilestones()

      Returns available case milestones for this case.

    - #### getCaseRoles

          Collection<CaseRoleInstance> getCaseRoles()

      Returns case roles for this case.

    - #### getCaseFile

          CaseFileInstance getCaseFile()

      Returns case file associated with this case.

      Note: `getCaseFile()` will be empty unless `withData` flag is specified

    - #### setCaseFile

          void setCaseFile​(CaseFileInstance caseFileInstance)

      Sets case file information to this instance
      Parameters:
        `caseFileInstance` - caseFileInstance information

    - #### getStatus

          Integer getStatus()

      Returns status of the case

    - #### getCaseDefinitionId

          String getCaseDefinitionId()

      Returns case definition id

    - #### getDeploymentId

          String getDeploymentId()

      Returns deployment id

    - #### getStartedAt

          Date getStartedAt()

      Returns start date of this case

    - #### getCompletedAt

          Date getCompletedAt()

      Returns completion date of this case

    - #### getCompletionMessage

          String getCompletionMessage()

      Returns completion message (if any) of this case

    - #### getSlaDueDate

          Date getSlaDueDate()

      Returns SLA due date if any is set on case instance

    - #### getSlaCompliance

          Integer getSlaCompliance()

      Returns up to date SLA compliance level for case instance

    - #### getParentCaseId

          String getParentCaseId()

      Returns the parent id case if any
      Returns:
        the parent case id